﻿//=======================================================================================
//
//  Purpose:    Show how to use the ShiftRegister class to illustrate counting in
//              binary.
//
//              This program requires two 74HC595s set up in series and connected to the
//              Netduino Plus using SPI and digital IO pin 9.  The outputs from the 
//              registers are connected to a series of LEDs through a 47 ohm resistor to 
//              ground.
//
//  Copyright (C) 2011 Mark Stevens
//
//  Permission is hereby granted, free of charge, to any person obtaining a copy
//  of this software and associated documentation files (the "Software") to use
//  the Software in a non-commercial environment subject to the following conditions:
//
//  1.  The above copyright notice and this permission notice shall be included in
//      all copies or substantial portions of the Software.
//  2.  The original author shall be acknowledged in any software and documentation
//      including (but not restricted to) books, articles and online posts.
//
//  Use in a commercial environment is subject to the written consent of the author
//  and/or copyright holder.
//
//  The Software, documentation, instructions for use and associated materials
//  are provided "as is" without warranty of any kind express or implied.  The
//  author and copyright holders shall ihn no way be held liable for any claim
//  or damages arising as a result of the use of the software and/or documentation.
//
//=======================================================================================
using System.Threading;
using Microsoft.SPOT;
using Nevyn.co.uk;
using SecretLabs.NETMF.Hardware.NetduinoPlus;

namespace ShiftRegisterTest
{
    public class Program
    {
        public static void Main()
        {
            ShiftRegister shiftRegister = new ShiftRegister(16, Pins.GPIO_PIN_D9);
            for (ushort index = 0; index < 10000; index++)
            {
                shiftRegister = index;
                Debug.Print("Count: " + index + ", " + shiftRegister.ToString());
                shiftRegister.LatchData();
                Thread.Sleep(100);
            }
        }
    }
}
